Module jdk.compiler
Package com.sun.source.doctree

# Interface ReturnTree

All Superinterfaces:
  `BlockTagTree`, `DocTree`, `InlineTagTree`

public interface ReturnTree extends BlockTagTree, InlineTagTree
A tree node for an `@return` block tag.

        @return description
        {@return description}

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns the description of the return value of a method.
`default boolean`
`isInline()`
Returns whether this instance is an inline tag.

### Methods declared in interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

### Methods declared in interface com.sun.source.doctree.InlineTagTree

`getTagName`

## Method Details

### isInline

default boolean isInline()
Returns whether this instance is an inline tag.

Implementation Requirements:
  this implementation returns `false`.
Returns:
  `true` if this instance is an inline tag, and `false` otherwise
Since:
  16

### getDescription

List<? extends DocTree> getDescription()
Returns the description of the return value of a method.

Returns:
  the description